# SIG/AI - 2023-04-06

## Rollcall

	* Balaji B
	* Mark Watson
	* Ivan Novick
	* Rajkumar Rajendran
	* Neil Hanlon
	* Sherif Nagy
	* Gregory Kurtzer
	* Arthur Tyde
	* Forrest Burt
	* Alexandre Barbieri

## Links

	* https://sig-ai.rocky.page/

## Purpose

To showcase and deliver user-friendly, robust, scalable AI ecosystems.

## Goals

	* deliver end-to-end open-source enterprise OS with flexibility to setup as per user needs
	* bring in popular FOSS AI frameworks/libraries as technical partners of RockyAI
	* become top OS among AI user community and be part of AI applications being developed and deloyed
	* rank top in AI ecosystem deployed across BM, Cloud, Containers

### Objectives

	* Publish docs explaining installation and usage of popular AI frameworks, job schedulers, cluster managers, and AIOps
	* Work with maintainers of popular frameworks to include in Rocky
	* Publish cloud and container images in collaboration with partners for easy and scalable deployment
	* Release RockyAI toolset for monitoring and maintenance of AI stack
	* Hosting virtual conference demonstrating RockyAI

## Roadmap

|Time|Tasks|
|--|--|
| April - June | Publish RockyAI Docs and Find partners to work and collaborate with. Begin developing RockyAI Toolset |
| July - Aug | Release RockyAI Toolset |
| Sep - Oct | Publish prepackaged partner images |
| Nov - Dec | Continue packaging and automating publishing of images |
| January 2024 | Virtual user conference on RockyAI & other SIG's |
| Feb - March 2024 | Expanding the RockyAI partnership with more applications |

## New business / Discussion

	* Arthur - some packages we can control, some we cannot, or cannot ship them due to being nonfree, etc.
		* EPEL is a good option, want it to be simple
	* Collaborating with NeuroFedora is a very good idea
		* https://docs.fedoraproject.org/en-US/neurofedora/ -
	* Want to be able to build and release packages
	* Longer term, want to be able to add cloud images, etc

### Packages to target initially

	* python frameworks
	* tensorflow
	* pytorch
	* apache spark
